-rw-r--r-- | delta.jscad | 30 |
1 files changed, 27 insertions, 3 deletions
diff --git a/delta.jscad b/delta.jscad index baa977d..547b51e 100644 --- a/delta.jscad +++ b/delta.jscad @@ -1,19 +1,22 @@ var PRINT = { layer_height: 0.2, extrusion_width: 0.4, fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6 }; var CONFIG = { - side: { + extrusion: { + w: 20 + }, + base: { el: 240, // side extrusion length - tl: 240+2*70, // triangle side length + sl: 240+2*70, // triangle side length gap: 9 // vertical gap between side extrusions }, column: { h: 600 // column height }, heatbed: { r: 220/2, // heatbed radius sr: 220/2-4.5, // radius of the screwholes circle @@ -65,17 +68,38 @@ var CONFIG = { width: 3, height: 5+1, length: 6 }, fanholder: { r: 30, screw: { d: 3, m: 2.5/*margin*/ }, w: 3 } }, - nut: { h: 2.3, w: 5.5 } + nut: { h: 2.3, w: 5.5 }, + color: { + extrusion: [0.8, 0.8, 0.8, 0.8] + } +}; + +var CD = { + base: (function(){ + var rv = {}; + rv.circumscription_r = + CONFIG.base.sl/2/Math.cos(Math.PI/6); + rv.outer_inscription_r = + Math.sqrt(Math.pow(rv.circumscription_r,2)- + Math.pow(CONFIG.base.sl/2,2)); + rv.mid_inscription_r = + rv.outer_inscription_r-CONFIG.extrusion.w/2; + rv.inner_inscription_r = + rv.outer_inscription_r-CONFIG.extrusion.w/2; + // TODO: properly calculate + rv.column_r = rv.circumscription_r - 48.29; + return rv; + })() }; var U = { hypotenuse: function(a,b) { return Math.sqrt(Math.pow(a,2)+Math.pow(b,2)); }, peek: function(x,m) { console.log(x,m); |